---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcrrawmon001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50F90, symBinAddr: 0x7310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52ED0, symBinAddr: 0x9250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x532C0, symBinAddr: 0x9640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54260, symBinAddr: 0xA5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54270, symBinAddr: 0xA5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EAD0, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EAD4, symBinAddr: 0x5094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EAD8, symBinAddr: 0x5098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EC20, symBinAddr: 0x50A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4ECD8, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4ECDC, symBinAddr: 0x515C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4ECE0, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4ECE4, symBinAddr: 0x5164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4ECE8, symBinAddr: 0x5168, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4ECF0, symBinAddr: 0x5170, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4ED08, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4ED10, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4ED18, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4ED20, symBinAddr: 0x51A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4ED28, symBinAddr: 0x51A8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4ED6A, symBinAddr: 0x51BA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4ED70, symBinAddr: 0x51C0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL8monitors, symObjAddr: 0x4ED80, symBinAddr: 0x51D0, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50D80, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x913D, offset: 0x913D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50D88, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9D0, symSize: 0x80 }
  - { offsetInCU: 0x9224, offset: 0x9224, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x920, symSize: 0xB0 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x820, symSize: 0x100 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xA50, symSize: 0x220 }
  - { offsetInCU: 0x96F7, offset: 0x96F7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xC70, symSize: 0xA0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xD10, symSize: 0x110 }
  - { offsetInCU: 0x98A0, offset: 0x98A0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE20, symSize: 0x150 }
  - { offsetInCU: 0x99FD, offset: 0x99FD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xF70, symSize: 0x30 }
  - { offsetInCU: 0x9ABE, offset: 0x9ABE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0xFA0, symSize: 0x150 }
  - { offsetInCU: 0x9CB6, offset: 0x9CB6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x10F0, symSize: 0x160 }
  - { offsetInCU: 0x9E42, offset: 0x9E42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1250, symSize: 0x1B0 }
  - { offsetInCU: 0xA05D, offset: 0xA05D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1400, symSize: 0xA0 }
  - { offsetInCU: 0xA12C, offset: 0xA12C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x14A0, symSize: 0x20 }
  - { offsetInCU: 0xA163, offset: 0xA163, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x14C0, symSize: 0x20 }
  - { offsetInCU: 0xA19A, offset: 0xA19A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x14E0, symSize: 0x20 }
  - { offsetInCU: 0xA309, offset: 0xA309, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1500, symSize: 0x1A0 }
  - { offsetInCU: 0xA627, offset: 0xA627, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x16A0, symSize: 0x80 }
  - { offsetInCU: 0xA6F0, offset: 0xA6F0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1720, symSize: 0x6C0 }
  - { offsetInCU: 0xB266, offset: 0xB266, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F40, symBinAddr: 0x2720, symSize: 0xB0 }
  - { offsetInCU: 0xB2DD, offset: 0xB2DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x1DE0, symSize: 0x70 }
  - { offsetInCU: 0xB379, offset: 0xB379, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x1E50, symSize: 0xA0 }
  - { offsetInCU: 0xB484, offset: 0xB484, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x1EF0, symSize: 0x40 }
  - { offsetInCU: 0xB57A, offset: 0xB57A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x1F30, symSize: 0x2B0 }
  - { offsetInCU: 0xB920, offset: 0xB920, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x21E0, symSize: 0xC0 }
  - { offsetInCU: 0xBA66, offset: 0xBA66, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x22A0, symSize: 0x10 }
  - { offsetInCU: 0xBB28, offset: 0xBB28, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x22B0, symSize: 0x240 }
  - { offsetInCU: 0xBE11, offset: 0xBE11, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x24F0, symSize: 0x10 }
  - { offsetInCU: 0xBE6E, offset: 0xBE6E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2500, symSize: 0xF0 }
  - { offsetInCU: 0xBFBB, offset: 0xBFBB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E10, symBinAddr: 0x25F0, symSize: 0x10 }
  - { offsetInCU: 0xC018, offset: 0xC018, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9E20, symBinAddr: 0x2600, symSize: 0x110 }
  - { offsetInCU: 0xC0CC, offset: 0xC0CC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_CreateRawMonitor_crrawmon001_check, symObjAddr: 0x9F30, symBinAddr: 0x2710, symSize: 0x10 }
  - { offsetInCU: 0xC101, offset: 0xC101, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FF0, symBinAddr: 0x27D0, symSize: 0x36A }
...
